Revision history for Perl extension Spreadsheet::ReadSXC.

0.37  2021-11-21
    * Really require XML::Twig 3.50, since that adds the no_xxe option

0.36  2021-11-21
    * Require XML::Twig 3.50, since that adds the no_xxe option

0.35  2021-09-08
    * Fix memory leak in the XML parser callbacks
      Reported as GH #8 with a test case, thanks to troost-c!

0.34  2021-03-10
    * Fix OrderBySheet option in Spreadsheet::ReadSXC, thanks to Kuerbis!

0.33  2020-12-28
    * Read style attributes immediately from Twig. This increases memory usage
      but removes problems when we recycle the Twig object for parsing another
      file
    * Custom styles are now better supported and don't crash the module
      immediately (issue GH #5 , reported with test file by mario-minati)
    * Point bug tracker meta data to Github

0.32  2020-10-06
    * Eliminate a warning when reading a numeric format without a defined
      number of digits, reported by Tux

0.31  2020-10-03
    * No code changes, no need to upgrade
    * Change code to work around an ambiguity in Perl to placate Filter::signatures
      / Filter::Simple. "-s _" could also be parsed as "-(s _foo_bar_g)"
      by Filter::Simple.

0.30  2020-10-02
    * No code changes, no need to upgrade
    * Remove "use XML::Parser;" line, which was not used anymore in the code.
      Spotted by MANWAR
    * This version will be (re)released as 1.00 if the smoke tests come up green

0.29  2020-09-30
    * Make the test for the error message on non-existing files more lax.
      This addresses RT #133432

0.28  2020-09-29
    * Require Filter::signatures 0.16 to fix Perl versions below 5.20
    * No upgrade necessary if things already work for you

0.27  2020-09-28
    * Defang resource intensive test
    * Eliminate "undef" warning when trying to get the active sheet of a
      workbook that does not define an active sheet (GH #3)

0.26  2020-09-28
    * This needs minimum Perl version 5.010
    * When reading a sheet in readonly mode, more aggressively reuse cell
      objects for repeated cells
    * Construct a cell once, and if it is repeated, clone it if not in readonly
      mode.
      These two changes speed up the parsing of some sheets with many repeated
      cells vastly.
    * Properly handle ODS files without a settings.xml (GH#2)

0.25  2020-09-27
    This release has major changes and will be promoted to 1.0 if there are
    no major breaks.

    * Added (proper) parsing of ODS files
    * Added support for formats
    * Added support for hidden cells, merged cells
    * Split up parsing and classes into separate files
    * Spreadsheet::ReadSXC now uses Spreadsheet::ParseODS
    * Added ->is_sheet_hidden(), ->get_print_areas, ->get_hyperlink()
      ->is_col_hidden(), ->tab_color(), ->table_styles(), ->filename(),

0.24  2019-10-08
    - Fix parsing the text of cells that only contain "0"
      These were returned as undef, instead of 0 unless the StandardCurrency
      option was used.
    - Fix parsing multiple sheets. If the first cell of the new table was empty,
      the last defined value of the old table was used instead, if the
      real (instead of formatted) values were used.

0.23  2019-10-03
    - Add a test and fix for files with text in annotations - these caused
      a crash

0.22  2019-10-03
    - Lower Perl version requirement back to 5.8
      There is no current reason to require more.
    - API Change:
      Formatting or read errors in the compressed input or the XML are now
      fatal errors. Before, they returned the half-parsed data structure.
    - read_sxc() and read_xml_file can now also return a fatal error when the
      file is not found or not readable instead of returning undef. Pass a true
      value to the the StrictError option.
    - Bugfix/behaviour change: Cells with leading/trailing newlines now
      return those leading/trailing newlines in their values

0.21  2019-10-02
    - Add 'StandardCurrency' option to get at unformatted number values
    - Support unformatted values for ODS files
    - New maintainer Max Maischein (corion@corion.net)

0.20  2005-06-17 (Fri Jun 17 2005)
	- almost completely rewritten to use XML::Parser's event style (instead of its tree
	  style), resulting in more readable and (hopefully) maintainable code
	- this version allows for multiple open files by returning an anonymous data structure
	  instead of a data reference (thanks to H. Merijn Brand for fixing this)
	- new option to return an array of hashes instead of a hash of arrays
	- new option to return time cells as time value

0.12  2005-05-08 (Sun May 8 2005)
	- comments no longer appear in cells (have to find a cleaner way of returning annotations)

0.11  2005-05-08 (Sun May 8 2005)
	- eliminated a bug with 'DropHiddenColumns' which would populate an empty table
	- edited documentation

0.10  2005-05-06 (Fri May 6 2005)
	- almost completely rewritten to use XML::Parser instead of XML::Parser::Lite::Tree
	- new options to include/drop hidden rows/col, covered cells etc.
	- optionally truncate empty rows and columns
	- optionally replace newlines in cells with any string
	- new subroutines for reading unpacked XML data from SXC files
	- option to return date cells as standard date value

0.03  2005-05-03 (Tue May 3 2005)
	- more prerequisites in Makefile.PL
	- minor corrections in documentation

0.02  2005-05-01 (Mon May 1 2005)
	- fixed prerequisites in Makefile.PL

0.01  2005-04-30 (Sat Apr 30 2005)
	- original version; created by h2xs 1.22 with options
		-XAn Spreadsheet::ReadSXC
